BasicValueValidators (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.config.BasicValueValidators class
Date: 2021-11-09

net.sourceforge.jnlp.config

## Class BasicValueValidators

- java.lang.Object
- - net.sourceforge.jnlp.config.BasicValueValidators

-     public class BasicValueValidators
      extends java.lang.Object

  Provides `ValueValidator` implementations for some common value types
  See Also:
    `getBooleanValidator()`, `getFilePathValidator()`, `getRangedIntegerValidator(int, int)`, `getStringValidator(String[])`, `getUrlValidator()`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BasicValueValidators.RustCpValidator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicValueValidators()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ValueValidator` | `getBooleanValidator()`
    `static ValueValidator` | `getBrowserPathValidator()`
    `static ValueValidator` | `getFilePathValidator()`
    `static ValueValidator` | `getManifestAttributeCheckValidator()`
    `static ValueValidator` | `getMultipleStringValidator(java.lang.String[] singleValues, java.lang.String[] comboValues)` Returns a `ValueValidator` that checks if an object is a string from one of the provided single option Strings or a combination from the provided combination Strings.
    `static ValueValidator` | `getRangedIntegerValidator(int low, int high)` Returns a `ValueValidator` that checks if an object represents a valid integer (it is a Integer or Long or a String representation of one), within the given range.
    `static ValueValidator` | `getStringValidator(java.lang.String[] validValues)` Returns a `ValueValidator` that checks if an object is a string from one of the provided Strings.
    `static ValueValidator` | `getUrlValidator()`
    `static java.lang.String[]` | `splitCombination(java.lang.String val)`
    `static java.lang.String` | `verifyFileOrCommand(java.lang.String cmd)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicValueValidators

          public BasicValueValidators()

  - ### Method Detail

    - #### splitCombination

          public static java.lang.String[] splitCombination(java.lang.String val)

    - #### getBooleanValidator

          public static ValueValidator getBooleanValidator()

      Returns:
        a `ValueValidator` that can be used to check if an object is a valid Boolean

    - #### getFilePathValidator

          public static ValueValidator getFilePathValidator()

      Returns:
        a `ValueValidator` that can be used to check if an object is a String containing a valid file path or not

    - #### getBrowserPathValidator

          public static ValueValidator getBrowserPathValidator()

    - #### verifyFileOrCommand

          public static java.lang.String verifyFileOrCommand(java.lang.String cmd)

    - #### getRangedIntegerValidator

          public static ValueValidator getRangedIntegerValidator(int low,
                                                                 int high)

      Returns a `ValueValidator` that checks if an object represents a valid integer (it is a Integer or Long or a String representation of one), within the given range. The values are inclusive.
      Parameters:
        `low` - the lowest valid value
        `high` - the highest valid value
      Returns:
        value validator for given range

    - #### getStringValidator

          public static ValueValidator getStringValidator(java.lang.String[] validValues)

      Returns a `ValueValidator` that checks if an object is a string from one of the provided Strings.
      Parameters:
        `validValues` - an array of Strings which are considered valid
      Returns:
        validator for given strings

    - #### getMultipleStringValidator

          public static ValueValidator getMultipleStringValidator(java.lang.String[] singleValues,
                                                                  java.lang.String[] comboValues)

      Returns a `ValueValidator` that checks if an object is a string from one of the provided single option Strings or a combination from the provided combination Strings.
      Parameters:
        `singleValues` - an array of Strings which are considered valid only by themselves
        `comboValues` - an array of Strings which are considered valid in any combination with themselves
      Returns:
        validator forgiven strings

    - #### getManifestAttributeCheckValidator

          public static ValueValidator getManifestAttributeCheckValidator()

      Returns:
        a `ValueValidator` that checks if an object is a string from the possible single or combination ManifestAttributeCheck values

    - #### getUrlValidator

          public static ValueValidator getUrlValidator()

      Returns:
        a `ValueValidator` that checks if an object represents a valid url

Submit a bug or feature